Subject: Re: [RFD] Making "git push [--force/--delete]" safer?

From: Junio C Hamano <[email-masked]>
Date: Wed, 03 Jul 2013 12:50:20 -0700

Jonathan del Strother <[email-masked]> writes:

> I'm struggling to think of instances where I wouldn't want this
> CAS-like behaviour.  Wouldn't it be better to make it the default when
> pushing, and allowing the current behaviour with "git push
> --blind-force" or something?

Not until we run this in the wild for a while and the mechanism
proves to be useful without being too cumbersome to some population.

Then at a major version bump, we can start talking about enabling it
by default, allowing people to selectively disable it.